Bug 41500 - purge univention-saml breaks apache2
purge univention-saml breaks apache2
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: SAML
UCS 4.2
Other Linux
: P5 normal (vote)
: UCS 4.2-1-errata
Assigned To: Erik Damrose
Jürn Brodersen
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2016-06-09 08:52 CEST by Philipp Hahn
Modified: 2017-07-26 14:39 CEST (History)
2 users (show)

See Also:
What kind of report is it?: Bug Report
What type of bug is this?: 6: Setup Problem: Issue for the setup process
Who will be affected by this bug?: 1: Will affect a very few installed domains
How will those affected feel about the bug?: 3: A User would likely not purchase the product
User Pain: 0.103
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Ticket number:
Bug group (optional): Appliance
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Philipp Hahn univentionstaff 2016-06-09 08:52:29 CEST
[info] Reloading Univention Management Console Server.
done.
ERROR: Site univention-directory-manager does not exist!
apache2: Syntax error on line 268 of /etc/apache2/apache2.conf: Could not open configuration file /etc/apache2/sites-enabled/univention-saml: No such file or directory
Action 'configtest' failed.
The Apache error log may have more information.
 failed!
invoke-rc.d: initscript apache2, action "restart" failed.

# readlink /etc/apache2/sites-enabled/univention-saml
../sites-available/univention-saml
Comment 1 Erik Damrose univentionstaff 2017-07-18 15:46:55 CEST
Fixed in
r81223 univention-saml 4.0.14-7A~4.2.0.201707181543
r81224 yaml
Comment 2 Jürn Brodersen univentionstaff 2017-07-21 11:25:21 CEST
r81302: YAML
I made it a little bit more clear what changed.

What I tested:
ucs-test -s saml -E dangerous -> OK
apt remove univention-saml -> OK
systemctl restart apache2 -> UMC is reachable -> OK
apt install univention-saml -> OK
systemctl restart apache2 -> UMC is reachable -> OK
apt purge univention-saml -> OK
systemctl restart apache2 -> UMC is reachable -> OK
apt install univention-saml -> OK
systemctl restart apache2 -> UMC is reachable -> OK
ucs-test -s saml -E dangerous -> OK

All OK -> Verified
Comment 3 Erik Damrose univentionstaff 2017-07-26 14:39:25 CEST
<http://errata.software-univention.de/ucs/4.2/103.html>